Package org.eclipse.birt.report.model.api.oda

# Class OdaAggregationHelperImpl

java.lang.Object
org.eclipse.birt.report.model.api.oda.OdaAggregationHelperImpl

Direct Known Subclasses:
  `OdaAggregationHelper`

public class OdaAggregationHelperImpl extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final List<IAggregationDefn>`
`birtAggregationDefinitions`
`protected static final Set`
`birtPredefinedAggregationConstants`

## Constructor Summary

Constructors
Constructor
Description
`OdaAggregationHelperImpl()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### birtPredefinedAggregationConstants

protected static final Set birtPredefinedAggregationConstants

### birtAggregationDefinitions

protected static final List<IAggregationDefn> birtAggregationDefinitions

## Constructor Details

### OdaAggregationHelperImpl

public OdaAggregationHelperImpl()